# Kubernetes deployment

This directory contains files for deployment on Kubernetes.

The standard installation uses a namespace named `gisaf`.

Commands below assume that they are run from this directory.

## Plain Kubernetes

2 files: `gisaf.yaml` and `config.yaml`

Deploy on Kubernetes (without Helm)

```sh
kubectl create namespace gisaf
kubectl apply -f config.yaml
```

Update after modification:

```sh
kubectl --namespace gisaf rollout restart deployment gisaf-server-deployment
```

## Helm

The `helm` chart is in the directory named `helm`.

### Deploy on Kubernetes

```sh
kubectl create namespace gisaf
helm install gisaf helm
```

#### Update

```sh
helm upgrade gisaf helm
```

### Publish the Helm chart

First, build the Helm package:

```sh
helm package helm
```

Then upload it:

```sh
helm --user phil:<password> -X POST \
--upload-file gisaf-0.1.0.tgz \
https://code.philo.ydns.eu/api/packages/philorg/helm/api/charts
```
